package com.yida.data.common.core.entity.system.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 学校性质枚举
 */
@Getter
@AllArgsConstructor
public enum SchoolNatureEnum {
    KINDER_TYPE(0, "幼儿园"),
    PRI_TYPE(1, "小学"),
    MID_TYPE(2, "中学"),
    NINE_TYPE(3, "九年一贯"),
    TWE_TYPE(4, "十二年一贯"),
    VOC_TYPE(5, "中高职"),
    UNI_TYPE(6, "高校");
    /**
     * 性质
     */
    private final Integer value;
    /**
     * 性质名称
     */
    private final String name;
}
